> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save an account

> Save a new (or update an existing) account



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox post /v5/accounting/glAccount
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/accounting/glAccount:
    post:
      tags:
        - Accounting
      summary: Save an account
      description: Save a new (or update an existing) account
      operationId: postGlAccount
      requestBody:
        description: glAccount object
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/TRAX_POST_BODYFlatGlAccountDTOV5'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FormRetVal'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_POST_BODYFlatGlAccountDTOV5:
      properties:
        glAccount:
          $ref: '#/components/schemas/FlatGlAccountDTOV5'
    FormRetVal:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed
          enum:
            - SUCCESS
            - FAILURE
        errors:
          $ref: '#/components/schemas/ValidationRetVal'
        id:
          type: string
          description: Id of the entity being acted upon
        webhook:
          $ref: '#/components/schemas/EntityUpdateEvent'
      description: Object containing details about result of the action performed
    FlatGlAccountDTOV5:
      required:
        - accountNo
        - name
        - parentAccountNo
        - type
      type: object
      properties:
        id:
          type: integer
          description: Id of the account, required when updating an existing account
          format: int64
        status:
          type: string
          description: Status of the account
          enum:
            - ACTIVE
            - INACTIVE
        accountNo:
          type: string
          description: Number of the account
        parentAccountNo:
          type: string
          description: Number of the parent account
        type:
          type: string
          description: Type of the account
          enum:
            - ASSET
            - LIABILITY
            - EQUITY
            - INCOME
            - COGS
            - EXPENSE
            - OTHER_INCOME
            - OTHER_EXPENSE
            - SUSPENSE
        name:
          type: string
          description: Name of the account
        level:
          type: integer
          description: Level of the account
          format: int32
          readOnly: true
        hasChilds:
          type: boolean
          description: Whether this account has children
          readOnly: true
        taxCategory:
          type: string
          description: >-
            Tax category corresponding to this account, required for expense
            accounts
          enum:
            - ADVERTISING
            - BAD_DEBTS
            - CAR_AND_TRUCK_DEDUCTIBLE_IF_MILEAGE
            - CAR_AND_TRUCK_NOT_DEDUCTIBLE_IF_MILEAGE
            - CHARITABLE_CONTRIBUTIONS
            - COMMISSIONS_AND_FEES
            - COMPENSATION_OF_OFFICERS
            - CONTRACT_LABOR
            - COST_OF_GOODS_SOLD_LABOR
            - COST_OF_GOODS_SOLD_PURCHASES
            - DEDUCTIBLE_MEALS_AND_ENTERTAINMENT_50_PERCENT
            - DEDUCTIBLE_MEALS_AND_ENTERTAINMENT_100_PERCENT
            - DELIVERY_FREIGHT
            - DEPLETION
            - DEPRECIATION_AND_SECTION_179
            - DOMESTIC_PRODUCTION_ACTIVITIES
            - DUES_AND_SUBSCRIPTIONS
            - EMPLOYEE_BENEFIT_PROGRAMS
            - FUEL_COSTS_EXCEPT_MOTOR_VEHICLES
            - INSURANCE_OTHER_THAN_HEALTH
            - LEGAL_AND_PROFESSIONAL_SERVICES
            - MORTGAGE
            - NOT_APPLICABLE
            - OFFICE_EXPENSE
            - OTHER_EXPENSES
            - OTHER_INTEREST
            - PENSION_AND_PROFIT_SHARING_PLANS
            - PROPERTY_TAXES
            - RENT_OR_LEASE_OTHER_BUSINESS_PROPERTY
            - RENT_OR_LEASE_VEHICLES_MACHINERY_AND_EQUIPMENT
            - REPAIRS_AND_MAINTENANCE
            - SUPPLIES
            - TAXES_AND_LICENSES
            - TRAVEL
            - UTILITIES
            - WAGES
        assetType:
          type: string
          description: Asset type corresponding to this account
          enum:
            - CASH
            - AR
            - OTHER_CURRENT
            - FIXED
            - OTHER_NON_CURRENT
            - FIXED_DEPRECIATION
            - SALES_TAX_CREDIT
            - DEFAULT_CASH
            - CLEARING_ACCOUNT
            - OTHER_RECEIVABLE
            - SECURITY_DEPOSIT
            - INVENTORY
            - UNMATCHED_TRANSFERS
        liabilityType:
          type: string
          description: Liability type corresponding to this account
          enum:
            - AP
            - CREDIT_CARD
            - SALES_TAX
            - OTHER_CURRENT
            - LONG_TERM
            - DEFERRED_REVENUE
            - PAYROLL
            - ADMIN_STAFF_BENEFITS_PAYABLE
            - ADMIN_STAFF_BENEFITS_INSURANCE_PAYABLE
            - PAYROLL_TAXES_PAYABLE
            - ADMIN_STAFF_BENEFITS_RETIREMENT_PAYABLE
        equityType:
          type: string
          description: Equity type corresponding to this account
          enum:
            - CAPITAL
            - DRAW_OR_DISTRIBUTIONS
            - OPENING_BALANCE
            - RETAINED_EARNINGS
            - PAID_IN_CAPITAL
            - PERSONAL_INCOME_AND_EXPENSES
            - CONTRIBUTION
            - FEDERAL_INCOME_TAX
            - STATE_INCOME_TAX
            - PERSONAL_INCOME
            - OTHER_PERSONAL_EXPENSES
        expenseType:
          type: string
          description: Expense type corresponding to this account
          enum:
            - MERCHANT_FEE
            - OTHER
            - CONTRACTORS
            - ADMIN_STAFF_BENEFITS
            - ADMIN_STAFF_PAYROLL
            - ADMIN_STAFF_SALARIES
            - NON_DEDUCTIBLE_SALES_TAX_PAID
            - INCOME_TAX
            - REIMBURSABLE_EXPENSES
            - UNCATEGORIZED_EXPENSES
            - ADMIN_STAFF_BENEFITS_RETIREMENT
            - ADMIN_STAFF_BENEFITS_HEALTH_INSURANCE
            - FEDERAL_INCOME_TAX
            - STATE_INCOME_TAX
        incomeType:
          type: string
          description: Income type corresponding to this account
          enum:
            - SERVICE_INCOME
            - EXPENSE_MARKUP
            - DISCOUNT
        systemGenerated:
          type: boolean
          description: Whether this account is default account or custom account
          readOnly: true
        customData:
          type: object
          description: >-
            Custom JSON in which you can store any data with max length of 2000
            characters
    ValidationRetVal:
      type: object
      properties:
        fieldErrors:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ValidationError'
          description: Map of field-level errors, often originating from validation errors
        globalErrors:
          type: array
          description: List of higher-level errors
          items:
            $ref: '#/components/schemas/ValidationError'
      description: Error object containing details errors incurred, if any
    EntityUpdateEvent:
      type: object
      properties:
        userId:
          type: string
        accountantUserId:
          type: string
        type:
          type: string
          enum:
            - ENTITY_UPDATE
            - LIFECYCLE_EVENT
            - LIFECYCLE
    ValidationError:
      type: object
      properties:
        type:
          type: string
          description: A broad categorization of the error
          enum:
            - DUPLICATE
            - REQUIRED
            - DELETE
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - GENERAL
            - INVALID_FORMAT
        errorMessage:
          type: string
          description: Human-friendly message describing this error
        message:
          type: string
          writeOnly: true
          enum:
            - DUPLICATE
            - REQUIRED
            - DELETE
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - GENERAL
            - INVALID_FORMAT
            - INVALID_MAPPING
      description: List of higher-level errors
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````